package sprzedaz;

import java.io.BufferedReader;
import java.io.File;
import java.io.FileReader;
import java.io.IOException;
import java.math.BigDecimal;
import java.time.LocalDate;
import java.util.ArrayList;
import java.util.List;

class ObslugaCSV {

    public static List<Rekord> wczytaj() {
        return wczytaj("pliki/sprzedaz.csv");
    }

    public static List<Rekord> wczytaj(String sciezka) {
        return wczytaj(new File(sciezka));
    }

    public static List<Rekord> wczytaj(File plik) {
        List<Rekord> lista = new ArrayList<>();
        try (BufferedReader reader = new BufferedReader(new FileReader(plik))) {
            reader.readLine();
            String linia;
            while((linia = reader.readLine()) != null) {
                String[] t = linia.split(",", -1);

                Rekord rekord = new Rekord(LocalDate.parse(t[0]),
                        t[1], t[2], t[3],t[4],
                        new BigDecimal(t[5]), Integer.parseInt(t[6]));
                lista.add(rekord);
            }
        } catch (IOException e) {
            throw new RuntimeException(e);
        }
        return lista;
    }
}
